| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iConsoleWatcher Struct Reference

This interface is implemented by objects interested in knowing when the console's visibility status has changed. More...

`#include <ivaria/conout.h>`

Inheritance diagram for iConsoleWatcher:

[legend]
List of all members.

## Public Member Functions
virtual void | ConsoleVisibilityChanged (iConsoleOutput *, bool visible)=0
| Called when the watched console's visibility status changes.

## Detailed Description

This interface is implemented by objects interested in knowing when the console's visibility status has changed.

Definition at line 54 of file conout.h.

## Member Function Documentation

virtual void iConsoleWatcher::ConsoleVisibilityChanged | ( | iConsoleOutput * | ,
|  | bool | visible |
| ) |  |  | `[pure virtual]`

Called when the watched console's visibility status changes.

The documentation for this struct was generated from the following file:

- ivaria/conout.h